/**
 * Global
 */
.colorful-timeline {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    width:100%;
    height:auto;
}

/**
 * Title
 */
.colorful-timeline .ct-title {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    height: auto;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 20px;
    padding-right: 20px;
    background-color: #f0f0f0;
    border: 1px solid #e6e6e6;
}
.colorful-timeline .ct-title p,
.colorful-timeline .ct-title h1,
.colorful-timeline .ct-title h2,
.colorful-timeline .ct-title h3 {
    margin-bottom: 0px;
    padding-bottom: 0px;
    font-size: 1.1em;
    font-family: 'helvetica' !important;
    font-weight: 500;
    color: #333333;
}

/**
 * Landmarks
 */
.colorful-timeline .ct-landmarks {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    width:100%;
    height:auto;
    border: 1px solid #f0f0f0;
}

/**
 * Background
 */
 .colorful-timeline .ct-landmarks .ct-background {
    display:block;
    position:absolute;
    left:0px;
    top:0px;
    width:100%;
    height:100%;
    background-color: #ffffff;
}
.colorful-timeline .ct-landmarks .ct-background .ct-background-img {
    display:block;
    position:absolute;
    left:0px;
    top:0px;
    width:100%;
    height:100%;
}

/**
 * Landmark's content
 */
.colorful-timeline .ct-landmarks .ct-landmarks-content-top,
.colorful-timeline .ct-landmarks .ct-landmarks-content-bottom {
    display: block;
    position: relative;
    left: 0px;
    width: 100%;
    height: auto;
    min-height: calc(var(--vh, 1vh) * 5);
    z-index: 1;
    padding: 15px;
    background-color:#ffffff;
}
.colorful-timeline .ct-landmarks .ct-landmarks-content-top .ct-landmark-content,
.colorful-timeline .ct-landmarks .ct-landmarks-content-bottom .ct-landmark-content {
    display: block;
    position: absolute;
    left: 0px;
    width: 95%;
    height: auto;
    margin-left: 2.5%;
    margin-right: 2.5%;
    background-color: #f0f0f0;
    border: 1px solid #efefef;
    border-radius: 3px;
    -webkit-box-shadow: 9px 10px 19px -4px rgba(0,0,0,0.38);
    -moz-box-shadow: 9px 10px 19px -4px rgba(0,0,0,0.38);
    box-shadow: 9px 10px 19px -4px rgba(0,0,0,0.38);
}

/**
 * Landmark's content - top
 */
.colorful-timeline .ct-landmarks .ct-landmarks-content-top {
    top: 5px;
    padding-bottom:0px;
}
.colorful-timeline .ct-landmarks .ct-landmarks-content-top .ct-landmark-content {
    bottom:0px;
}

/**
 * Landmark's content - bottom
 */
.colorful-timeline .ct-landmarks .ct-landmarks-content-bottom {
    top: -33px;
    padding-top: 0px;
}
.colorful-timeline .ct-landmarks .ct-landmarks-content-bottom .ct-landmark-content {
    top:-10px;
}

/**
 * Landmark selector
 */
.colorful-timeline .ct-landmarks .selectors-container {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: calc(100% - 50px);
    height: 550px;
    margin-left: 25px;
    margin-right: 25px;
    overflow-y: auto;
    overflow-x: auto;
}
.colorful-timeline .ct-landmarks .selectors-container .outter-container {
    display: table;
    position: relative;
    left: 0px;
    top: 33%;
    width: 100%;
    height: 33%;
    white-space: nowrap;
    text-align: center;
}
.colorful-timeline .ct-landmarks .selectors-container .outter-container .inner-container {
    display: table-cell;
    position: relative;
    left: 0px;
    top: 0px;
    vertical-align: middle;
    width: 100%;
    height: auto;
}
.colorful-timeline .ct-landmarks .selectors-container .outter-container .inner-container .ct-landmarks-container {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: auto;
    height: auto;
    margin: auto;
}

.colorful-timeline .ct-landmarks .selectors-container .outter-container .inner-container .ct-landmarks-container .ct-landmark-selector, 
.colorful-timeline .ct-landmarks .selectors-container .outter-container .inner-container .ct-landmarks-container .ct-landmark-selector.selected {
    display: inline-block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 60px;
    height: 60px;
    margin-top: 50px;
    margin-bottom: 50px;
    margin-left: 15px;
    margin-right: 15px;
    padding: 12px;
    background: #f0f0f0;
    border-radius: 50px;
    cursor:pointer;
}
.colorful-timeline .ct-landmarks .selectors-container .outter-container .inner-container .ct-landmarks-container .ct-landmark-selector {
    border: 2px solid #fafafa;
}
.colorful-timeline .ct-landmarks .selectors-container .outter-container .inner-container .ct-landmarks-container .ct-landmark-selector.selected {
    animation-name: animate-button-border;
    animation-duration: 750ms;
    animation-iteration-count: 4;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: animate-button-border;
    -webkit-animation-duration: 750ms;
    -webkit-animation-iteration-count: 4;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: animate-button-border;
    -moz-animation-duration: 750ms;
    -moz-animation-iteration-count: 4;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: animate-button-border;
    -ms-animation-duration: 750ms;
    -ms-animation-iteration-count: 4;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;
}
.colorful-timeline .ct-landmarks .selectors-container .outter-container .inner-container .ct-landmarks-container .ct-landmark-selector:hover {
    animation-name: animate-button-border;
    animation-duration: 1200ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: animate-button-border;
    -webkit-animation-duration: 1200ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: animate-button-border;
    -moz-animation-duration: 1200ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: animate-button-border;
    -ms-animation-duration: 1200ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;
}
.colorful-timeline .ct-landmarks .selectors-container .outter-container .inner-container .ct-landmarks-container .ct-landmark-selector span {
    position:relative;
    left:0px;
    top:0px;
}

/**
 * Selected landmark content
 */
.ct-landmarks .ct-landmark-content .basic-info-card {
    margin:0px !important;
    width: 100%;
    background-color: #ffffff;
    border: 0px;
}
.ct-landmarks .ct-landmark-content .basic-info-card .bic-body {
    border: 0px;
}
.ct-landmarks .ct-landmark-content.top,
.ct-landmarks .ct-landmark-content.bottom {
    display: block;
    position: absolute;
    width: auto;
    min-width: 300px;
    max-width: 400px;
    height: auto;
    z-index: 20;
    text-align: left;
    word-wrap: break-word;
    white-space: normal;
    background-color: #333333;
    border: 5px solid #333333;
    border-radius:3px;
}
.ct-landmarks .ct-landmark-content.top {
    top: -220px;
}
.ct-landmarks .ct-landmark-content.bottom {
    bottom: -200px;
}
.ct-landmarks .ct-landmark-content.left-side {
    left: -38%;
}
.ct-landmarks .ct-landmark-content.right-side {
    left: -400%;
}

.ct-landmark-content.top.left-side .basic-info-card::before,
.ct-landmark-content.top.right-side .basic-info-card::before,
.ct-landmark-content.bottom.left-side .basic-info-card::before,
.ct-landmark-content.bottom.right-side .basic-info-card::before {
    display: block;
    position: absolute;
    width: 20px;
    height: 20px;
    content: '';
    border: 5px solid #333333;
    background-color: #333333;
    z-index: 0;

    -moz-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);   
}

.ct-landmark-content.top.left-side .basic-info-card::before {
    left: 45px;
    top: 92%;
}
.ct-landmark-content.top.right-side .basic-info-card::before {
    right: 45px;
    top: 92%;
}
.ct-landmark-content.bottom.left-side .basic-info-card::before {
    left: 45px;
    bottom: 92%;
}
.ct-landmark-content.bottom.right-side .basic-info-card::before {
    right: 45px;
    bottom: 92%;
}

@media(max-width:767px) {

    .ct-landmarks .ct-landmark-content {
        display: none !important;
    }

    .colorful-timeline .ct-landmarks .selectors-container {
        height: auto;
    }

}

/**
 * Selected landmark pointer
 */
.selected-landmark-pointer {
    display:block;
    position:absolute;
    left:15px;
    top:0px;
    width:20px;
    height:20px;
    background-color:#eaeaea;

    -ms-transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}
.selected-landmark-pointer.hidden {
    display: none;
}

/**
 * Animate button border color in
 */
@-moz-keyframes animate-button-border {
    0% {
        border: 5px solid rgb(59, 175, 183);
    }
    50% {
        border: 5px solid rgb(253, 253, 252);
    }
    100% {
        border: 5px solid rgb(23, 70, 73);
    }
}
@-webkit-keyframes animate-button-border {
    0% {
        border: 5px solid rgb(59, 175, 183);
    }
    50% {
        border: 5px solid rgb(253, 253, 252);
    }
    100% {
        border: 5px solid rgb(23, 70, 73);
    }
}
@keyframes animate-button-border {
    0% {
        border: 5px solid rgb(59, 175, 183);
    }
    50% {
        border: 5px solid rgb(253, 253, 252);
    }
    100% {
        border: 5px solid rgb(23, 70, 73);
    }
}

@media(max-width:767px) {

    .colorful-timeline .ct-selected-landmark-content-mobile .ct-landmark-content {
        animation-name: animate-button-border;
        animation-duration: 1200ms;
        animation-iteration-count: 4;
        animation-timing-function: linear;
        animation-fill-mode: forwards;

        -webkit-animation-name: animate-button-border;
        -webkit-animation-duration: 1200ms;
        -webkit-animation-iteration-count: 4;
        -webkit-animation-timing-function: linear;
        -webkit-animation-fill-mode: forwards;
    
        -moz-animation-name: animate-button-border;
        -moz-animation-duration: 1200ms;
        -moz-animation-iteration-count: 4;
        -moz-animation-timing-function: linear;
        -moz-animation-fill-mode: forwards;
    
        -ms-animation-name: animate-button-border;
        -ms-animation-duration: 1200ms;
        -ms-animation-iteration-count: 4;
        -ms-animation-timing-function: linear;
        -ms-animation-fill-mode: forwards;
    }

    .colorful-timeline .ct-selected-landmark-content-mobile .ct-landmark-content .basic-info-card {
        width: 100%;
        margin: 0px !important;
        background-color: #ffffff;
        border: 1px solid #e6e6e6;
    }

}